package com.persagy.apm.alarmservice.group.management.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

import java.time.LocalDateTime;

/**
 * @author 易涛
 * @version 1.0
 * @date 2021/9/7 18:11
 */
@Document(indexName = "rwd_object")
public class GroupManagement {

    @Id
    @Field(type = FieldType.Text)
    private String id;

    @Field(name = "class_code",type = FieldType.Text)
    private String classCode;

    @Field(type = FieldType.Text)
    private String infos;

    @Field(name = "local_id",type = FieldType.Text)
    private String localId;

    @Field(name = "local_name",type = FieldType.Text)
    private String localName;

    @Field(type = FieldType.Text)
    private String name;

    @Field(name = "obj_type",type = FieldType.Text)
    private String objType;

    @Field(name = "project_id",type = FieldType.Text)
    private String projectId;

    @Field(name = "group_code",type = FieldType.Text)
    private String groupCode;

    @Field(name = "update_time")
    private LocalDateTime updateTime;

    private Long valid;

}
